--
-- 3.5.0 TO 3.6.0 --
--
-- RUN THE COMMANDS BELOW AT THE COMMAND LINE
--
-- > pgql-U [DBNAME] -h [DBHOST] ethereal
--   [Paste in text below]

-- Delete old tags
DELETE FROM ethereal.Tag
WHERE (TagName='TagComicMissing' 
   OR TagName='TagImageMissing' 
   OR TagName='TagJournalMissing' 
   OR TagName='TagTextMissing'
   OR TagName='TmplGalList')
  AND TagType='contrib';

-- Addition of a tag zone
ALTER TABLE ethereal.Tag DROP CONSTRAINT enumTagType;
ALTER TABLE ethereal.Tag ADD  CONSTRAINT enumTagType CHECK (TagType IN ('admin','board','configuration','contrib','faq','gallery','home','login','mail','poll','portal','realm','system','template','vcodes'));

-- FAQ Sequence
CREATE SEQUENCE ethereal.seqFaq      MAXVALUE 2147483647 CYCLE;

-- FAQ Table
CREATE TABLE ethereal.Faq (
  FaqNum               INT           NOT NULL DEFAULT NEXTVAL('ethereal.seqFaq'),
  FaqQuestion          VARCHAR(255)  NOT NULL,
  Faqgroup             VARCHAR(25),
  FaqAnswer            TEXT,
  CONSTRAINT pkFaq                   PRIMARY KEY(FaqNum)
) WITHOUT OIDS;

-- STANDARD INDEX
CREATE INDEX idxFaq ON ethereal.Faq
(
  FaqGroup,
  FaqQuestion
);

-- Ownership
ALTER TABLE ethereal.Faq                   OWNER TO ethereal;
ALTER TABLE ethereal.seqFaq                OWNER TO ethereal;



